.TH XSTRATEGO 6 "17 March 1991"
.SH NAME
xstratego \- X windows based
.I stratego
interface for two players.
.SH SYNOPSIS
.B xstratego
.IB login @ hostname
.B playername
.br
.B xstratego
.B \-s
.SH DESCRIPTION
.LP
The first command line version lets you play against another player, where
.TP 15
.I login
is your opponents login name.
.TP 15
.I hostname
is the name of the host he (or she) is currently logged on.
.TP 15
.B playername
is the name under which you want to play.
.LP
The second version gives you the opportunity to create a board setup and save
it for later use.
.SH GAME BASICS
.B
Stratego
is a famous board game that has been around for many years. Here is an
overview of the rules for those who are not familiar with them.
.br
The game is played on a board consisting of ten by ten squares. Each
player has forty tiles which are placed upon the lower half of the
board. Each of these tiles has a certain value and move capability. The
value of a tile is symbolized by an army rank. In the table below is an
overview of the tiles and their capabilities. The
.I Amount
column shows the number of tiles you have of each type.
.sp
.TS
lw(.25i) lw(.25i) lw(.25i) lw(.25i) lw(.25i) lw(.25i).
_
.sp 3p
.TB
Rank	Name	Amount	Can Take	Can be taken by	Movement
.sp 3p
_
.sp 3p
 1	Marshal	      1	All	Spy	Normal (one square)
 2	General	      1	Lower rank	Higher rank	Normal
 3	Colonel	      2	Lower rank	Higher rank	Normal
 4	Major	      3	Lower rank	Higher rank	Normal
 5	Captain	      4	Lower rank	Higher rank	Normal
 6	Lieutenant	      4	Lower rank	Higher rank	Normal
 7	Sergeant	      4	Lower rank	Higher rank	Normal
 8	Miner	      5	Lower rank and Bombs	Higher rank	Normal
 9	Scout	      8	Lower rank	Higher rank	Several squares
10	Spy	      1	Flag and Marshall	Higher rank	Normal
11	Bomb	      6	All except Miners	Miner	None
12	Flag	      1	None	All	None
.sp 3p
_
.TE
.sp
Eight board positions are designated as water. Nobody can swim. The
object of the game is to take your opponents flag. The values of your
opponents tiles are (of course) not visible to you.
.br
The players now take turns. There are two type of moves, moving or
attacking a tile. A move consists of moving a tile horizontal or
vertical. Diagonal moves are not permitted. When you attack an enemy
tile, both the attacking and attacked tile will reveil their value.
Normally the highest rank will win (see table) and the other tile will
be taken off the board. If you attack the enemy and win, your tile will
take the enemies tile position on the board.
.br
The game has ended if one of the following cases occur:
.IP \(bu
The flag of one of the players is taken. The winner is the one who's
flag is still standing.
.IP \(bu
One of the players can no longer make a valid move. This player will
have lost the game.
.IP \(bu
If the same board setup occurs three times, without a tile being taken
on either side the game is said to have ended in remise. Xstratego will
warn you whenever a board setup occurs for the second time. It will ask
for confirmation for the move that will end the game in remise.
.SH XSTRATEGO DESCRIPTION
.B xstratego
will start up in
.I setup mode.
The tiles are represented by bitmaps and displayed to the right in the
.I
tile window
of the application. They are positioned in two columns and in ranking
order, starting at the flag and moving from the marshal beneath it via
the general, colonel, major, captain, lieutenant, sergeant, miner,
scout and spy to the bomb. To the right of each tile is a counter
displaying the number of tiles of that type you still have to place on
the board.
.br
You can place a tile on the board by clicking on its bitmap in the
.I
tile window
with the left mouse button. Your cursor will change into the selected
tile. Place the cursor on the board position you want to put the tile
and click the left mouse button again. You can remove tiles from the
board by clicking the left mouse button on the corresponding board
position with a neutral cursor (see
.I Cursor
below)
Click
.I Ready
if you have completed your setup. When your opponent has finished as
well, both players will automatically enter
.I
play mode.
.br
The buttons on the right hand side of your screen have the following
meaning:
.TP 15
.B Cursor
This will reset your cursor to the
.I neutral
cursor.
.TP 15
.B Clear
Clears your setup.
.TP 15
.B Load
You will be prompted for a filename which should contain a board setup.
Your current setup will be replaced by the new one.
.TP 15
.B Store
You will be prompted for a filename in which you can save your
(possibly incomplete) board setup.
.TP 15
.B Ready
If you have placed all your tiles on the board and want to start play
with this setup then click
.I Ready.
All you have to do now is wait for your opponent to do the same.
.TP 15
.B Quit
If you decide to chicken out.
.TP 15
.B Message
Will give you an opportunity to send a message to your opponent.
.sp
.LP
If both players have completed their setup, the computer will decide
who will go first. The
.I
tile window
now indicates how many tiles of each type your opponent has left. You
can move a tile by clicking on it with the left mouse button. This tile
will be redrawn in grey. Click again on the board position you want to
move the tile to. The tile will be placed on the new position if the
move was legal.
.br
You can attack an enemy tile by clicking the tile you want to attack
with first and then the enemy tile you want to attack. If the movement
is legal, you will be shown the value of the enemy tile and the losing
tile(s) will be taken off the board.
.br
When your opponent has made a move, you will be shown the results. The
tile that moved will be shown in grey at two places: at the position
where it came from and at the position where it moved to. Pressing any
mouse button at an arbitrary place in the application will complete the
move.
.br
The new buttons on the right hand side have the following meaning:
.TP 15
.B Remise
This will send a remise offer to your opponent. It can either be
accepted or declined. You will be informed of the results.
.TP 15
.B
Give Up
For losers only!
.TP 15
.B Message
For the diplomatic communication.
.SH XSTRATEGO RESOURCES
Xstratego is build from the following components:
.TP 15
.B *Stratego
Toplevel form widget. Contains all other widgets.
.TP 15
.B *Stratego.Board
Form widget with defaultDistance resource set to 1.
.TP 15
.B *Stratego.Board.BoardPosition
Individual command widgets that make up the board.
.TP 15
.B *Stratego.Board.Water
Command widgets that contain the water areas inside the board
.TP 15
.B *Stratego.Tiles
The
.I
tile window
form widget that contains the tile positions.
.TP 15
.B *Stratego.Tiles.TilePosition
Box widget container for tile bitmap and counter.
.TP 15
.B *Stratego.Tiles.TilePosition.TileBitmap
Command widget that contains the tile bitmap
.TP 15
.B *Stratego.Tiles.TilePosition.TileCount
Label widget displaying the counter associated with the tile.
.TP 15
.B *Stratego.Message
Label widget at the bottom of the board. Functions as message display
area.
.TP 15
.B *Stratego.ButtonSet
Form widget functioning as container for right hand side buttons.
.TP 15
.B *Stratego.ButtonSet.Button
Command widgets inside ButtonSet.
.TP 15
.B *PopupShell.Dialog
Dialogbox widget inside popup shell.
.SH BUGS
There should be an option to save and restore a game.
.SH AUTHOR
Michiel Huisjes (huisjes@cs.vu.nl)
.br
I would like to thank Peter Valkenburg (valke@psy.vu.nl) without whom
the random messages would be a lot less funny.
